Bug 124424 - kdelibs-devel should Requires: libselinux-devel, libpng-devel, libjpeg-devel, libtiff-devel, libxslt-devel, cups-devel
Summary: kdelibs-devel should Requires: libselinux-devel, libpng-devel, libjpeg-devel,...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 14:24 UTC by Maxim Dziumanenko
Modified: 2007-04-18 17:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 16:03:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2004-05-26 14:24:07 UTC
Description of problem:
/usr/lib/libkio.la from kdelibs contains dependency_libs='... -lpng
... -lselinux' 

/usr/lib/kde3/kimg_tiff.la contains "-ltiff... /usr/lib/libjpeg.la"
/usr/lib/kde3/kio_help.la contains "/usr/lib/libxslt.la"
/usr/lib/libkdeinit_cupsdconf.la contains "-lcups"

perhaph these *.la files should be moved to kdelibs-devel
anyway libselinux-devel libpng-devel libjpeg-devel libtiff-devel
libxslt-devel cups-devel development libs needed to build programs,
which use kdelibs-devel

Version-Release number of selected component (if applicable):
kdelibs-3.2.2-7

How reproducible:
Always

Steps to Reproduce:
1.rpm -e libselinux-devel libpng-devel libjpeg-devel libtiff-devel
libxslt-devel cups-devel
2.rpmbuild --rebuild kdesdk-3.2.2-1.src.rpm (it requires kdelibs-devel)
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2004-05-27 16:03:30 UTC
it's fixed in fam-2.6.10-10 and kdelibs-3.2.2-7. Thanks for your report


Note You need to log in before you can comment on or make changes to this bug.